@echo off
cls
setlocal

set task_exit_code_on_error=1

set workfolderPath=%~1
set projectPath=%~2
set scriptName=%~3
set fileExt=%~4

for %%f in (%projectPath%) do set applicationName=%%~nxf

:: Echo some variables for troubleshooting
::echo Base folder:           %workfolderPath%
::echo Project folder:        %projectPath%
::echo Virtual user script:   %scriptName%%fileExt%
::echo Application name:      %applicationName%

if NOT %fileExt%==.cs goto :error_wrong_file_type
if NOT EXIST "%projectPath%\%applicationName%.app" goto :error_no_app_file

:: Copy application file to fixed location so we can run all projects using a fixed launch.json file.
copy "%projectPath%\%applicationName%.app" "%workfolderPath%\.vscode\current.app" /V /Y

goto :eof
:: Subroutines
:error_no_app_file
    echo.
    echo.
    echo "ERROR: Could not find application file: %applicationName%.app"
    echo.
    exit %task_exit_code_on_error%

:error_wrong_file_type
    echo.
    echo.
    echo "ERROR: This file cannot be executed. Please select a .cs file"
    echo.
    exit %task_exit_code_on_error%