using LoginPI.Engine.ScriptBase;

public class Excel : ScriptBase
{
    private void Execute()
    {
        // Define variables
        var CreateTableTitle = "Create Table";
        var SaveAsTitle = "Save As";
        var OverWriteTitle = "Confirm Save As";

        START();
        
        // Open new Excel sheet
        StartTimer("Open_new_excel_sheet");
        MainWindow.Type("{CTRL+n}",cpm:0);
        Wait(0.5);
        StopTimer("Open_new_excel_sheet");
        
        // First Row
        StartTimer("Creating_First_Row");
        MainWindow.Type("Values {ENTER}");
        MainWindow.Type("12241 {ENTER}");
        MainWindow.Type("97857 {ENTER}");
        MainWindow.Type("75010 {ENTER}");
        MainWindow.Type("44113 {ENTER}");
        MainWindow.Type("44422 {ENTER}");
        MainWindow.Type("11831 {ENTER}");
        MainWindow.Type("24005 {ENTER}");
        MainWindow.Type("36980 {ENTER}");
        MainWindow.Type("28913 {ENTER}");
        MainWindow.Type("{CTRL+b}",cpm:0);
        
        // Create sum
        MainWindow.Type("=SUM({UP}");
        MainWindow.Type("{SHIFT + UP}".Repeat(8));
        MainWindow.Type("{ENTER}");
        Wait(2);

        StopTimer("Creating_First_Row");
        MainWindow.Type("{RIGHT} {CTRL+UP}",cpm:0);

        // Second Row
        StartTimer("Creating_Second_Row");
        MainWindow.Type("Values {ENTER}");
        MainWindow.Type("88448 {ENTER}");
        MainWindow.Type("26052 {ENTER}");
        MainWindow.Type("81255 {ENTER}");
        MainWindow.Type("71839 {ENTER}");
        MainWindow.Type("75546 {ENTER}");
        MainWindow.Type("30262 {ENTER}");
        MainWindow.Type("48095 {ENTER}");
        MainWindow.Type("75139 {ENTER}");
        MainWindow.Type("46539 {ENTER}");
        MainWindow.Type("{CTRL+b}",cpm:0);
        
        // Create sum
        MainWindow.Type("=SUM({UP}");
        MainWindow.Type("{SHIFT + UP}".Repeat(8));
        MainWindow.Type("{ENTER}");
        Wait(2);

        StopTimer("Creating_Second_Row");
        MainWindow.Type("{RIGHT} {CTRL+UP}",cpm:0);

        // Third Row
        StartTimer("Creating_Third_Row");
        MainWindow.Type("Values {ENTER}");
        MainWindow.Type("71167 {ENTER}");
        MainWindow.Type("47297 {ENTER}");
        MainWindow.Type("31539 {ENTER}");
        MainWindow.Type("70035 {ENTER}");
        MainWindow.Type("84138 {ENTER}");
        MainWindow.Type("26307 {ENTER}");
        MainWindow.Type("91986 {ENTER}");
        MainWindow.Type("19856 {ENTER}");
        MainWindow.Type("93516 {ENTER}");
        MainWindow.Type("{CTRL+b}",cpm:0);
        
        // Create sum
        MainWindow.Type("=SUM({UP}");
        MainWindow.Type("{SHIFT + UP}".Repeat(8));
        MainWindow.Type("{ENTER}");
        Wait(2);

        StopTimer("Creating_Third_Row");
        MainWindow.Type("{RIGHT} {CTRL+UP}",cpm:0);

        // Fourth Row
        StartTimer("Creating_Fourth_Row");
        MainWindow.Type("Values {ENTER}");
        MainWindow.Type("43915 {ENTER}");
        MainWindow.Type("1957 {ENTER}");
        MainWindow.Type("9151 {ENTER}");
        MainWindow.Type("8775 {ENTER}");
        MainWindow.Type("7152 {ENTER}");
        MainWindow.Type("1437 {ENTER}");
        MainWindow.Type("3472 {ENTER}");
        MainWindow.Type("2363 {ENTER}");
        MainWindow.Type("5552 {ENTER}");
        MainWindow.Type("{CTRL+b}",cpm:0);
        
        // Create sum
        MainWindow.Type("=SUM({UP}");
        MainWindow.Type("{SHIFT + UP}".Repeat(8));
        MainWindow.Type("{ENTER}");
        Wait(2);

        StopTimer("Creating_Fourth_Row");
        MainWindow.Type("{RIGHT} {CTRL+UP}",cpm:0);

        // Fifth Row
        StartTimer("Creating_Fifth_Row");
        MainWindow.Type("Values {ENTER}");
        MainWindow.Type("8896 {ENTER}");
        MainWindow.Type("54 {ENTER}");
        MainWindow.Type("163 {ENTER}");
        MainWindow.Type("871 {ENTER}");
        MainWindow.Type("108 {ENTER}");
        MainWindow.Type("444 {ENTER}");
        MainWindow.Type("433 {ENTER}");
        MainWindow.Type("670 {ENTER}");
        MainWindow.Type("11 {ENTER}");
        MainWindow.Type("{CTRL+b}",cpm:0);
        
        // Create sum
        MainWindow.Type("=SUM({UP}");
        MainWindow.Type("{SHIFT + UP}".Repeat(8));
        MainWindow.Type("{ENTER}");
        Wait(2);

        StopTimer("Creating_Fifth_Row");

        // Creating a table
        StartTimer("Creating_Table");
        Wait(1);
        MainWindow.Type("{UP}");
        MainWindow.Type("{CTRL+A}",cpm:0);
        Wait(1);
        MainWindow.Type("{ALT+N+T}",cpm:0);
        Wait(1);

        var CreateTableWindow = FindWindow(title:CreateTableTitle);
        CreateTableWindow.Type("{ENTER}");
        Wait(1);
        MainWindow.Type("{RIGHT}");
        Wait(4);

        StopTimer("Creating_Table");

        // Saving the file in temp
        MainWindow.Type("{CTRL+s}",cpm:0);
        MainWindow.Type("{ALT+a+o}",cpm:0);
        Wait(1);

        var SaveAs = FindWindow(title:SaveAsTitle);
        SaveAs.Type(@"%temp%\LoginPI\excelpi.xlsx",cpm:0);
        StartTimer("Saving_file");
        SaveAs.Type("{ENTER}");
        var Saved = FindWindow(title: "*excelpi*",timeout:10,continueOnError:true);
        if (Saved != null){
            StopTimer("Saving_file");
            Log("File is saved");
        }
        else{
            var OverWriteWindow = FindWindow (title:OverWriteTitle,timeout:3);
            CancelTimer("Saving_file");
            OverWriteWindow.Type("{LEFT}");
            StartTimer("Saving_file");
            OverWriteWindow.Type("{ENTER}");
            FindWindow(title: "*excelpi*",timeout:10);
            StopTimer("Saving_file");
            Log("File is overwritten");
        }

        Wait(2);
        
        STOP();

    }
}
