using LoginPI.Engine.ScriptBase;
using System;

public class Paint : ScriptBase
{
    void Execute()
    {
        // Define variables
        var SaveAsTitle = "Save As";
        var OverWriteTitle = "Confirm Save As";

        START();

        // Draw a figure
        var point = MainWindow.GetBounds();
        Log($"{point.Left},{point.Top}");

        var left = (int)point.X + 400;
        var top = (int)point.Y + 450;

        var radius = 10.0;

        MouseMove(left, top);
        MouseDown();
        for (var angle = 0.0; angle < 6 * Math.PI; angle += Math.PI / 10)
        {

            var x = left + Math.Sin(angle) * radius;
            var y = top + Math.Cos(angle) * radius;

            MouseMove(x, y);
            Wait(0.05);

            radius += 2;
        }
        MouseUp();

        //Saving the file in temp with random name.
        MainWindow.Type("{CTRL+s}",cpm:0);
        var SaveAs = FindWindow(title:SaveAsTitle);
        SaveAs.Type(@"%temp%\LoginPI\paintpi.png",cpm:0);
        StartTimer("Saving_file");
        SaveAs.Type("{ENTER}");
        var Saved = FindWindow(title: "*paintpi*",timeout:10,continueOnError:true);
        if (Saved != null){
            StopTimer("Saving_file");
            Log("File is saved");
        }
        else{
            var OverWriteWindow = FindWindow (title:OverWriteTitle,timeout:3);
            CancelTimer("Saving_file");
            OverWriteWindow.Type("{LEFT}");
            StartTimer("Saving_file");
            OverWriteWindow.Type("{ENTER}");
            FindWindow(title: "*paintpi*",timeout:10);
            StopTimer("Saving_file");
            Log("File is overwritten");
        }
        Wait(2);

        STOP();
    }
}
