using LoginPI.Engine.ScriptBase;

public class MouseInteraction : ScriptBase
{
    void Execute()
    {

        // ----------- MouseMove -----------
        // DESCRIPTION
        // MouseMove will move the mouse to a set of coordinates based on the pixels on the screen. The coordinates start counting from the top left

        // PARAMETER LIST
        // 1: x is the horizontal coordinate
        // 2: y is the vertical coordinate
        // NOTE: command generate an error if the mouse is moved outside the screen

        // EXAMPLES
        MouseMove(x:1,y:1,continueOnError:false);



        // ----------- MouseMoveBy -----------
        // DESCRIPTION
        // MouseMoveBy will move the mouse by a set amount of pixels relative to the current mouse position.
        
        // PARAMETER LIST
        // 1: dx is the horizontal coordinate
        // 2: dy is the vertical coordinate
        // NOTE: command generate an error if the mouse is moved outside the screen
        
        // EXAMPLES
        MouseMoveBy(dx:1,dy:1,continueOnError:false);



        // -----------MouseDown ----------- 
        // DESCRIPTION
        // MouseDown will hold the left mouse button down
        
        // EXAMPLES
        MouseDown();



        // ----------- MouseUp -----------
        // DESCRIPTION
        // MouseUpwill release the left mouse button.
        MouseUp();
 


        //----------- Click -----------
        // DESCRIPTION
        // Click moves the mouse to a set of coordinates and clicks using the mouse button
        
        // PARAMETER LIST
        // 1: x is the horizontal coordinate
        // 2: y is the vertical coordinate

        // EXAMPLES
        Click(x:10,y:10);
        DoubleClick(x:10,y:10); 
        RightClick(x:10,y:10);
    }
}