using LoginPI.Engine.ScriptBase;

public class StartStopBrowser : ScriptBase
{
    void Execute()
    {
        // ----------- START -----------
        // DESCRIPTION
        // StartBrowser executes the associated web application
        // It will create the mainWindow variable
        // StartBrowser accepts multiple parameters (the xRay application in the Tools folder in the LoginVSI Toolset can detect these parameters)
        // All parameters are optional. The StartBrowser command can detect the window from the process that is started

        // PARAMETER LIST
        // 1: useInPrivateBrowsing defines if the browser has to start in a private window. Example: "True or False"
        // 2: expectedUrl defines the url you want to wait for. Example: "https://loginvsi.com"
        // 3: timeout is the maximum amount of seconds the browser can take to appear. After the timeout is reached the engine will throw an error. 
        //    The default timeout is 60 seconds
        // 4: continueOnError is set to false by default 

        // EXAMPLES
        StartBrowser(useInPrivateBrowsing:false,expectedUrl:"https://www.loginvsi.com",timeout:30,continueOnError:true);


        // ----------- STOP -----------
        // DESCRIPTION
        // StopBrowser exits the application gracefully.

        // EXAMPLES
        StopBrowser();
    }
}